Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.logging.log4j.message
Enum StructuredDataMessage.Format

    java.lang.Object
      java.lang.Enum<StructuredDataMessage.Format>
          org.apache.logging.log4j.message.StructuredDataMessage.Format

All Implemented Interfaces:
  Serializable, Comparable<StructuredDataMessage.Format>

Enclosing class:
  StructuredDataMessage

    public static enum StructuredDataMessage.Format

extends Enum<StructuredDataMessage.Format>

Supported formats.

Enum Constant Summary
`FULL` Full message format includes the type and message.
`XML` The map should be formatted as XML.

Method Summary
`static StructuredDataMessage.Format` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StructuredDataMessage.Format[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### XML

    public static final StructuredDataMessage.Format XML

  The map should be formatted as XML.

### FULL

    public static final StructuredDataMessage.Format FULL

  Full message format includes the type and message.

Method Detail

### values

    public static StructuredDataMessage.Format[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StructuredDataMessage.Format c : StructuredDataMessage.Format.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StructuredDataMessage.Format valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.